<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="UTF-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Document</title>
</head>
<body>
  <div id="app">
    <button onclick="vm.openForm()">Open Form</button>
    <h1>{{ "nilai a : " + numbers[0] }}</h1>
    <!-- <h1 v-bind:value="total">{{ "Rata-rata : " }}</h1> -->
  </div>
  
  <script src="https://cdn.jsdelivr.net/npm/vue@2/dist/vue.js"></script>
  <script>
   var vm = new Vue({
      el: '#app',
      data: {
        numbers : [1],
        total : 0,
      },
      computed : {
      },
      methods : {
        openForm : function(){
              
                this.numbers = prompt('Masukkan nilai a')
                        this.numbers.push(this.numbers);
                }
                // numbers.push(this.numbers);
              
        },
        countNumbers : function(){
            total = num.reduce((a, b) => a + b, 0)
            while(this.countNumbers(this.numbers) < 10){
                openForm();
            }
            return this.total = total;
        }
    })
  </script>
</body>
</html>